---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libisfldsin002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F7F0, symBinAddr: 0x51D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51730, symBinAddr: 0x7110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51B20, symBinAddr: 0x7500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52AC0, symBinAddr: 0x84A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52AD0, symBinAddr: 0x84B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F460, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F464, symBinAddr: 0x5084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F468, symBinAddr: 0x5088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F5C0, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F678, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F67C, symBinAddr: 0x514C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F680, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F684, symBinAddr: 0x5154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F688, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F690, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F6A8, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F6B0, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F6B8, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F6C0, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F6C8, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F70A, symBinAddr: 0x51AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F710, symBinAddr: 0x51B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F718, symBinAddr: 0x51B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F728, symBinAddr: 0x51C8, symSize: 0x0 }
  - { offsetInCU: 0x9169, offset: 0x9169, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x880, symSize: 0x80 }
  - { offsetInCU: 0x91FE, offset: 0x91FE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x7D0, symSize: 0xB0 }
  - { offsetInCU: 0x9259, offset: 0x9259, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x6D0, symSize: 0x100 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x900, symSize: 0x220 }
  - { offsetInCU: 0x96D1, offset: 0x96D1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xB20, symSize: 0xA0 }
  - { offsetInCU: 0x9784, offset: 0x9784, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xBC0, symSize: 0x110 }
  - { offsetInCU: 0x987A, offset: 0x987A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xCD0, symSize: 0x150 }
  - { offsetInCU: 0x99AB, offset: 0x99AB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xE20, symSize: 0x30 }
  - { offsetInCU: 0x9A34, offset: 0x9A34, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xE50, symSize: 0x150 }
  - { offsetInCU: 0x9C2C, offset: 0x9C2C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0xFA0, symSize: 0x160 }
  - { offsetInCU: 0x9DB8, offset: 0x9DB8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1100, symSize: 0x1B0 }
  - { offsetInCU: 0x9FD3, offset: 0x9FD3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x12B0, symSize: 0xA0 }
  - { offsetInCU: 0xA0A2, offset: 0xA0A2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1350, symSize: 0x20 }
  - { offsetInCU: 0xA0D9, offset: 0xA0D9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1370, symSize: 0x20 }
  - { offsetInCU: 0xA110, offset: 0xA110, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1390, symSize: 0x20 }
  - { offsetInCU: 0xA27F, offset: 0xA27F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x13B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA5A5, offset: 0xA5A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1550, symSize: 0x80 }
  - { offsetInCU: 0xA66E, offset: 0xA66E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x15D0, symSize: 0x6A0 }
  - { offsetInCU: 0xB203, offset: 0xB203, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F10, symBinAddr: 0x2670, symSize: 0xB0 }
  - { offsetInCU: 0xB27A, offset: 0xB27A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1C70, symSize: 0x70 }
  - { offsetInCU: 0xB336, offset: 0xB336, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1CE0, symSize: 0xA0 }
  - { offsetInCU: 0xB435, offset: 0xB435, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1D80, symSize: 0x40 }
  - { offsetInCU: 0xB52B, offset: 0xB52B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1DC0, symSize: 0x2B0 }
  - { offsetInCU: 0xB8D1, offset: 0xB8D1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2070, symSize: 0xC0 }
  - { offsetInCU: 0xBA17, offset: 0xBA17, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2130, symSize: 0x10 }
  - { offsetInCU: 0xBAD9, offset: 0xBAD9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2140, symSize: 0x220 }
  - { offsetInCU: 0xBDD6, offset: 0xBDD6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2360, symSize: 0x10 }
  - { offsetInCU: 0xBE33, offset: 0xBE33, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2370, symSize: 0x110 }
  - { offsetInCU: 0xBFB6, offset: 0xBFB6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x2480, symSize: 0x10 }
  - { offsetInCU: 0xC083, offset: 0xC083, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_IsFieldSynthetic_isfldsin002_check, symObjAddr: 0x9D30, symBinAddr: 0x2490, symSize: 0x1E0 }
  - { offsetInCU: 0xC250, offset: 0xC250, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FC0, symBinAddr: 0x2720, symSize: 0x36A }
...
